package com.ruoyi.ibs.draw.domain.entity;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;
import java.io.Serializable;

/**
 * 区域审批表(DrawLayerAudit)实体类
 *
 * @author makejava
 * @since 2025-03-31 13:57:18
 */
public class DrawLayerAudit implements Serializable {
    
    private Integer id;
    /**
     * 图形id
     */
    private String shapeId;
    /**
     * 图形名称锚点编号。同客户编号，即证件类型
     */
    private String shapeName;
    /**
     * 图层id
     */
    private String layerId;
    /**
     * 图层名称
     */
    private String layerName;
    /**
     * 支行机构号
     */
    private String deptId;
    /**
     * 支行名称
     */
    private String deptName;
    /**
     * 客户经理柜员号
     */
    private String userName;
    /**
     * 客户经理名称（申请者、创建者）
     */
    private String nickName;
    /**
     * 部室归属
     */
    private String opsDept;
    /**
     * 锚点删除状态，0为正常，1为已删除
     */
    private Integer deleteStatus;
    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    /**
     * 申请时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getShapeId() {
        return shapeId;
    }

    public void setShapeId(String shapeId) {
        this.shapeId = shapeId;
    }

    public String getShapeName() {
        return shapeName;
    }

    public void setShapeName(String shapeName) {
        this.shapeName = shapeName;
    }

    public String getLayerId() {
        return layerId;
    }

    public void setLayerId(String layerId) {
        this.layerId = layerId;
    }

    public String getLayerName() {
        return layerName;
    }

    public void setLayerName(String layerName) {
        this.layerName = layerName;
    }

    public String getDeptId() {
        return deptId;
    }

    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getOpsDept() {
        return opsDept;
    }

    public void setOpsDept(String opsDept) {
        this.opsDept = opsDept;
    }

    public Integer getDeleteStatus() {
        return deleteStatus;
    }

    public void setDeleteStatus(Integer deleteStatus) {
        this.deleteStatus = deleteStatus;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

}

